[Résolu] Erreur script

Discussion et problème sur le facturier pour Auto-entrepreneur réalisé sous OpenOffice et ses dérivés

Modérateur: Vilains modOOs

[Résolu] Erreur script

Messagepar leon » 17 Sep 2019 11:16

Bonjour,

Depuis quelques jours je n'arrivais pas à exporter de facture.
Je ne suis pas très à l'aise avec tout ça et j'ai fait la bêtise de mettre un vieux patch (je m'en suis rendue compte après).
Et maintenant j'ai une erreur de script
Une erreur de structure de script s'est produite lors de l'exécution du script vnd.sun.star.script:AEFActurier.visualisation.SelectionnerFacture?language=Basic&location=document en Basic.

Message : The following Basic script could not be found:
library: 'AEFActurier'
module: 'visualisation'
method: 'SelectionnerFacture'
location: 'document'


Je ne peux plus faire grand chose..
J'ai mis mon fichier en PJ.
Avez-vous une idée ?
Merci !
Pièces jointes
MicroFacturier_250419.ods
(137.24 Kio) Téléchargé 77 fois
Dernière édition par micmac le 06 Fév 2020 08:38, édité 1 fois.
Raison: Balisage + verrouillage
Open office 4.1.6 / Windows
leon
Fraîchement OOthentifié
 
Message(s) : 4
Inscrit le : 27 Mars 2019 16:32

Re: Erreur script

Messagepar OOotremer971 » 17 Sep 2019 11:52

Bonjour,
leon a écrit: j'ai fait la bêtise de mettre un vieux patch (je m'en suis rendue compte après).

C'est quoi un vieux patch ?

En tout cas, ton facturier ne contient plus certaines macro nécessaires à son fonctionnement et des boutons ont disparus :? :roll: ??? .

De mon point de vue il est préférable d'en télécharger un vierge (dernière version) et éventuellement le mettre à jour par copier/collé du contenu des différentes feuilles (attention certaines sont masquées).

Pour télécharger la dernière version :https://forum.openoffice.org/fr/forum/download/file.php?id=133462

A+
En principe, toujours à jour des dernières versions dites stables
AOO
LibreOffice
Debian 10
Ubuntu 18.04.4 LTS
OpenSuse Leap
Avatar de l’utilisateur
OOotremer971
ManitOOu
ManitOOu
 
Message(s) : 2503
Inscrit le : 16 Avr 2010 14:31

Re: Erreur script

Messagepar The dids » 05 Fév 2020 23:15

Bonjour Léon, la réponse qui vous as été donné fut-elle salutaire ? suffisante ?
êtes vous toujours en attente de réponse ?
LibreOffice Version: 5.4.6.2
Build ID: 1:5.4.6-0ubuntu0.17.10.1
CPU threads: 2; OS: Linux 4.13; UI render: default; VCL: x11;
Locale: fr-FR (fr_FR.UTF-8); Calc: group

sous Lubuntu 17.10
Avatar de l’utilisateur
The dids
Membre OOrganisé
Membre OOrganisé
 
Message(s) : 53
Inscrit le : 06 Mai 2018 19:28

Re: Erreur script

Messagepar micmac » 06 Fév 2020 08:38

Bonjour,

Dernière connexion le 17 Sep 2019 16:02
4 mois plus tard, vous avez lu la réponse apportée sans daigner y donner suite.
La politesse fait aussi partie de la philosophie du logiciel libre.
En l'absence de retour, nous considérons votre problème comme résolu.
Veillez à le faire par vous-même la prochaine fois.
Avatar de l’utilisateur
micmac
RespOOnsable forum
RespOOnsable forum
 
Message(s) : 7361
Inscrit le : 28 Août 2010 09:45


Retour vers AE Facturier ++ / MicroFacturier

Qui est en ligne ?

Utilisateur(s) parcourant ce forum : Aucun utilisateur inscrit et 1 invité